package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TPoints {
    private BigDecimal temp;

    private String x;

    private String y;

    private String z;

    /**
     * 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     * @return temp 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     */
    public BigDecimal getTemp() {
        return temp;
    }

    /**
     * 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     * @param temp 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     */
    public void setTemp(BigDecimal temp) {
        this.temp = temp;
    }

    /**
     * 测温点在仓内的X坐标代表长度 代表列
     * @return X 测温点在仓内的X坐标代表长度 代表列
     */
    public String getX() {
        return x;
    }

    /**
     * 测温点在仓内的X坐标代表长度 代表列
     * @param x 测温点在仓内的X坐标代表长度 代表列
     */
    public void setX(String x) {
        this.x = x == null ? null : x.trim();
    }

    /**
     * 测温点在仓内的Y坐标宽度方向 代表行
     * @return Y 测温点在仓内的Y坐标宽度方向 代表行
     */
    public String getY() {
        return y;
    }

    /**
     * 测温点在仓内的Y坐标宽度方向 代表行
     * @param y 测温点在仓内的Y坐标宽度方向 代表行
     */
    public void setY(String y) {
        this.y = y == null ? null : y.trim();
    }

    /**
     * 测温点在仓内的Z坐标高度
     * @return Z 测温点在仓内的Z坐标高度
     */
    public String getZ() {
        return z;
    }

    /**
     * 测温点在仓内的Z坐标高度
     * @param z 测温点在仓内的Z坐标高度
     */
    public void setZ(String z) {
        this.z = z == null ? null : z.trim();
    }

}